Subject: Re: TEST: Sleep suppport for iBook G4 & Aluminium PowerBooks (ATI based)

From: [email-masked] (Olof Johansson)
Date: Fri, 19 Nov 2004 13:02:22 -0600

On Fri, Nov 19, 2004 at 05:56:50PM +1100, Benjamin Herrenschmidt wrote:

> So here's the new patch, it replaces the previous one for Aluminium
> PowerBooks, and is still against 2.6.9. I'll do something against 2.6.10
> when that one is out (it's a bit late to get that merged with Linus,
> 2.6.10 is in freeze mode now) and I hope to get all of that in 2.6.11.

Seems to work well on my 1.2GHz 12" iBook. First attempt caused a
failure while I had the WUSB12 adapter plugged in (after reboot when the
device was reinitialized the keyboard stopped working and the mouse went
crazy). If I unplug the adapter before sleep, it seems to wakeup without
problem.

No observed problems with backlight or anything else either, but I
haven't been stress testing anything.

Good work, Ben!  I owe you a beer next time you're in Austin! :)

-Olof